Bug 169514 - Review Request: Gobby - A cross-platform collaborative editor
Review Request: Gobby - A cross-platform collaborative editor
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Reber
David Lawrence
http://gobby.0x539.de
:
Depends On: 169513
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-09-29 02:54 EDT by Luke Macken
Modified: 2016-09-19 22:36 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-04 00:58:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Spec file patch to *obby* to work on FC-4 x86_64 (449 bytes, patch)
2005-10-14 00:05 EDT, Toshio Kuratomi
no flags Details | Diff

  None (edit)
Description Luke Macken 2005-09-29 02:54:56 EDT
Spec Name or Url: http://people.redhat.com/lmacken/gobby.spec
SRPM Name or Url: http://people.redhat.com/lmacken/gobby-0.2.2-1.src.rpm
Description:
Gobby is a free collaborative editor. This means that it provides you with the
possibility to edit files simultaneously with other users over a network. It
supports multiple documents in one session and a multi-user chat. The platforms
on which you could use Gobby are so far Microsoft Windows, Linux, Mac OS X and
other Unix-like ones. Developed with the Gtk+ toolkit it integrates nicely into
the GNOME desktop environment if you want it to.
Comment 1 Luke Macken 2005-10-05 14:02:59 EDT
Updated to use %find_lang macro.

http://people.redhat.com/lmacken/gobby-0.2.2-1.src.rpm
http://people.redhat.com/lmacken/gobby.spec
Comment 2 Adrian Reber 2005-10-07 04:37:21 EDT
The BRs can be heavily reduced. libsigc++20-devel, glib2-devel, gtk2-devel,
net6-devel are all pulled in by other dependencies. 
Why is howl-libs a BR? I don't see any sense in that. If obby would be built
with howl support and obby-devel would then again require howl-devel this could
be also pulled in with the obby-devel requirement and as I see it the howl
support only works if it is availabe in obby.

How about adding the --with-gnome switch to configure?

You have to update the mime database in the scriptlets because the desktop file
contains mime information.
Comment 3 Luke Macken 2005-10-07 13:19:45 EDT
Updated.  The --with-gnome flag installs the desktop file and pixmap
automatically, so I no longer need to do it in the spec.

http://people.redhat.com/lmacken/gobby-0.2.2-3.src.rpm
http://people.redhat.com/lmacken/gobby.spec
Comment 4 Adrian Reber 2005-10-10 09:28:59 EDT
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

BR: howl-devel is not necessary if obby-devel requires it. If obby is built
without howl support the howl-devel BR does nothing.
Comment 5 Luke Macken 2005-10-10 12:35:32 EDT
Updated.  I also removed desktop-file-utils from BuildRequires, since it only
`install -m 644`'s the desktop file.

http://people.redhat.com/lmacken/gobby-0.2.2-4.src.rpm
http://people.redhat.com/lmacken/gobby.spec
Comment 6 Adrian Reber 2005-10-10 14:54:56 EDT
Oh, good that you mention the desktop file. Even if it is already installed by
the Makefile you have to call desktop-file-install like it is mentioned at:
http://fedoraproject.org/wiki/PackagingGuidelines#head-37131c9c3cb4b69fdb1269f6e91fa9c413d2add1
Comment 8 Michael Schwendt 2005-10-12 06:19:51 EDT
It is commonly considered bad style to repeat the program name at
the beginning of the "Summary" text. Assume that any package directory
lists at least the summary, the package name and offers taking a look
at the [longer] description text.

--- gobby.spec~ 2005-10-10 21:43:55.000000000 +0200
+++ gobby.spec  2005-10-12 12:18:01.000000000 +0200
@@ -1,7 +1,7 @@
 Name:           gobby
 Version:        0.2.2
 Release:        5
-Summary:        Gobby is a free collaborative editor
+Summary:        Free collaborative editor
 
 Group:          Applications/Internet
 License:        GPL
Comment 9 Luke Macken 2005-10-12 11:57:32 EDT
(In reply to comment #8)
> It is commonly considered bad style to repeat the program name at
> the beginning of the "Summary" text. Assume that any package directory
> lists at least the summary, the package name and offers taking a look
> at the [longer] description text.
> 
> --- gobby.spec~ 2005-10-10 21:43:55.000000000 +0200
> +++ gobby.spec  2005-10-12 12:18:01.000000000 +0200
> @@ -1,7 +1,7 @@
>  Name:           gobby
>  Version:        0.2.2
>  Release:        5
> -Summary:        Gobby is a free collaborative editor
> +Summary:        Free collaborative editor
>  
>  Group:          Applications/Internet
>  License:        GPL

fixed.
http://people.redhat.com/lmacken/gobby.spec
http://people.redhat.com/lmacken/gobby-0.2.2-6.src.rpm
Comment 10 Adrian Reber 2005-10-13 07:34:35 EDT
Could you release a new version of obby in FC-4 and devel. In FC-4 there is no
obby package (at least I cannot find one) and the obby version in devel has the
howl-devel requirement for the -devel package missing. I am currently not able
to build a version of gobby in mock either for FC-4 nor for the devel branch.
Comment 11 Luke Macken 2005-10-13 12:46:16 EDT
Thanks for reminding me, I tried doing this last week but ran into a minor
roadblock.  FC-3 and devel successfully built (and have howl-devel Requires in
-devel package as well), but won't build on FC-4:

+ /usr/lib/rpm/redhat/find-lang.sh /var/tmp/obby-0.2.0-5.fc4-root-mockbuild obby
No translations found for obby in /var/tmp/obby-0.2.0-5.fc4-root-mockbuild
error: Bad exit status from /var/tmp/rpm-tmp.22763 (%install)

This issue was resolved by calling aclocal and autoconf before %configure, which
fixed it for FC-3/devel, but FC-4 still complains.  Any ideas ?
Comment 12 Paul Howarth 2005-10-13 13:16:07 EDT
Curious. I just did a mockbuild of obby-0.2.0-5 for FC4 (i386) and it worked for
me. Might be worth requeuing the build to see if it's a repeatable problem. Or
was this problem on a different arch?
Comment 13 Adrian Reber 2005-10-13 13:22:32 EDT
It fails on x86_64. See:

http://buildsys.fedoraproject.org/logs//4/1881-obby-0.2.0-5.fc4/x86_64/build.log
Comment 14 Toshio Kuratomi 2005-10-13 23:34:34 EDT
Hey Paul -- do you still have the build.log for you i386 build?  Or the build
tree around?  One possibility from loking at the logs is that x86_64 isn't
definng USE_NLS for some reason.  The other is that the Makefile in the po
directory is supposed to do something even if USE_NLS isn't defined.  I lean
towards the former, but I'm not sure where configure's detection is going
haywire.  Seeing some of the successful logs could be helpful here.
Comment 15 Toshio Kuratomi 2005-10-14 00:05:59 EDT
Created attachment 119957 [details]
Spec file patch to *obby* to work on FC-4 x86_64

Never mind the informational query -- here's a spec file patch that fixes the
build on FC-4 x86_64.  It's not the cleanest method of fixing things I've ever
proposed but it'll work.  If you want, you could adapt this to fix it in
aclocal.m4 instead but that's not much better.
Comment 16 Luke Macken 2005-10-16 20:18:56 EDT
(In reply to comment #15)
> Created an attachment (id=119957) [edit]
> Spec file patch to *obby* to work on FC-4 x86_64
> 
> Never mind the informational query -- here's a spec file patch that fixes the
> build on FC-4 x86_64.  It's not the cleanest method of fixing things I've ever
> proposed but it'll work.  If you want, you could adapt this to fix it in
> aclocal.m4 instead but that's not much better.

Applied in obby-0.2.0-6 for fc4.
Comment 17 Adrian Reber 2005-10-19 14:23:19 EDT
* rpmlint is happy
* spec looks good
* scripts are sane
* clean installation and removal
* builds in mock (fc4 only; not on devel (obby-devel in devel still needs
howl-devel))
* source matches upstream
* it works

APPROVED
Comment 18 Luke Macken 2005-10-19 18:02:54 EDT
Once again, x86_64 is the bane of my existence.

http://buildsys.fedoraproject.org/logs/fedora-development-extras/87-gobby-0.2.2-6/x86_64/root.log

I'm out the door at the moment, so if no one figures this out in the mean time,
i'll take a look at it later tonight.
Comment 20 Michael Schwendt 2005-10-20 07:23:27 EDT
obby-devel is still missing "Requires: howl-devel", so that
is one thing at least which breaks the pkgconfig dependency chain.
Comment 21 John Mahowald 2005-11-04 00:58:46 EST
I see gobby has been released. Closing.

Note You need to log in before you can comment on or make changes to this bug.